### Hierarchy

- EventEmitter
  - SESTransport

### Implements

- Transport

## Index

### Interfaces

- MailOptions
- Options
- SentMessageInfo

### Constructors

- constructor

### Properties

- connections
- idling
- logger
- mailer
- maxConnections
- name
- options
- pending
- rateInterval
- rateMessages
- sendingRate
- sendingRateTTL
- ses
- version
- defaultMaxListeners

### Methods

- addListener
- emit
- eventNames
- getMaxListeners
- isIdle
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- send
- setMaxListeners
- verify
- listenerCount

## Constructors

### constructor

- new SESTransport(options: Options): SESTransport

- - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:55

  #### Parameters

  - ##### options: Options

  #### Returns SESTransport

## Properties

### connections

connections: number

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:49

### idling

idling: boolean

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:55

### logger

logger: Logger

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:40

### mailer

mailer: Mail

Implementation of Transport.mailer

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:41

### maxConnections

maxConnections: number

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:48

### name

name: string

Implementation of Transport.name

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:43

### options

options: Options

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:38

### pending

pending: Array<object>

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:54

### rateInterval

rateInterval: number

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:52

### rateMessages

rateMessages: Array<object>

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:53

### sendingRate

sendingRate: number

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:50

### sendingRateTTL

sendingRateTTL: number | null

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:51

### ses

ses: any

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:46

### version

version: string

Implementation of Transport.version

- Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:44

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### addListener

- addListener(event: "idle", listener: function): this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:69

  #### Parameters

  - ##### event: "idle"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### emit

- emit(event: "idle"): boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:71

  #### Parameters

  - ##### event: "idle"

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### isIdle

- isIdle(): boolean

- - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:63

  Returns true if there are free slots in the queue

  #### Returns boolean

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: "idle"): Array<function>

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:81

  #### Parameters

  - ##### event: "idle"

  #### Returns Array<function>

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: "idle", listener: function): this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:73

  #### Parameters

  - ##### event: "idle"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### once

- once(event: "idle", listener: function): this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:75

  #### Parameters

  - ##### event: "idle"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### prependListener

- prependListener(event: "idle", listener: function): this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:77

  #### Parameters

  - ##### event: "idle"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: "idle", listener: function): this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:79

  #### Parameters

  - ##### event: "idle"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### send

- send(mail: MailMessage, callback: function): void

- - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:60

  Schedules a sending of a message

  #### Parameters

  - ##### mail: MailMessage

  - ##### callback: function

    - - (err: Error | null, info: SentMessageInfo): void

      - #### Parameters

        - ##### err: Error | null

        - ##### info: SentMessageInfo

        #### Returns void

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### verify

- verify(callback: function): void
- verify(): Promise<true>

- - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:66

  Verifies SES configuration

  #### Parameters

  - ##### callback: function

    - - (err: Error | null, success: true): void

      - #### Parameters

        - ##### err: Error | null

        - ##### success: true

        #### Returns void

- Implementation of Transport.verify

  - Defined in node_modules/@types/nodemailer/lib/ses-transport.d.ts:67

  #### Returns Promise<true>

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc